Package org.linphone.core

# Interface XmlRpcRequest

public interface XmlRpcRequest
The `XmlRpcRequest` object representing a XML-RPC request to be sent.

## Method Summary

Modifier and Type
Method
Description
`void`
`addIntArg(int value)`
Add an integer argument to an XML-RPC request.
`void`
`addListener(XmlRpcRequestListener listener)`
`void`
`addStringArg(String value)`
Add a string argument to an XML-RPC request.
`String`
`getContent()`
Get the content of the XML-RPC request.
`int`
`getIntResponse()`
Get the response to an XML-RPC request sent with `XmlRpcSession.sendRequest(org.linphone.core.XmlRpcRequest)`
and returning an integer response.
`String[]`
`getListResponse()`
Get the response to an XML-RPC request sent with `XmlRpcSession.sendRequest(org.linphone.core.XmlRpcRequest)`
and returning a string response.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`String`
`getRawResponse()`
Gets the raw response to an XML-RPC request sent with `XmlRpcSession.sendRequest(org.linphone.core.XmlRpcRequest)`
and returning HTTP body as string.
`XmlRpcStatus`
`getStatus()`
Get the status of the XML-RPC request.
`String`
`getStringResponse()`
Get the response to an XML-RPC request sent with `XmlRpcSession.sendRequest(org.linphone.core.XmlRpcRequest)`
and returning a string response.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`removeListener(XmlRpcRequestListener listener)`
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getContent

String getContent()
Get the content of the XML-RPC request.

Returns:
  The string representation of the content of the XML-RPC request.

### getIntResponse

int getIntResponse()
Get the response to an XML-RPC request sent with `XmlRpcSession.sendRequest(org.linphone.core.XmlRpcRequest)`
and returning an integer response.

Returns:
  The integer response to the XML-RPC request.

### getListResponse

String[] getListResponse()
Get the response to an XML-RPC request sent with `XmlRpcSession.sendRequest(org.linphone.core.XmlRpcRequest)`
and returning a string response.

Returns:
  A list of all string responses in the XML-RPC request.

### getRawResponse

String getRawResponse()
Gets the raw response to an XML-RPC request sent with `XmlRpcSession.sendRequest(org.linphone.core.XmlRpcRequest)`
and returning HTTP body as string.

Returns:
  The string response to the XML-RPC request.

### getStatus

XmlRpcStatus getStatus()
Get the status of the XML-RPC request.

Returns:
  The `XmlRpcStatus` of the XML-RPC request.

### getStringResponse

String getStringResponse()
Get the response to an XML-RPC request sent with `XmlRpcSession.sendRequest(org.linphone.core.XmlRpcRequest)`
and returning a string response.

Returns:
  The string response to the XML-RPC request.

### addIntArg

void addIntArg(int value)
Add an integer argument to an XML-RPC request.

Parameters:
  `value` - The integer value of the added argument.

### addStringArg

void addStringArg(String value)
Add a string argument to an XML-RPC request.

Parameters:
  `value` - The string value of the added argument.

### addListener

void addListener(XmlRpcRequestListener listener)

### removeListener

void removeListener(XmlRpcRequestListener listener)

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`